Eclipse Draw2d 3.7

## org.eclipse.draw2d.text
Class LineBox

    java.lang.Object
      org.eclipse.draw2d.text.FlowBox
          org.eclipse.draw2d.text.CompositeBox
              org.eclipse.draw2d.text.LineBox

Direct Known Subclasses:
  LineRoot, NestedLine

    public abstract class LineBox

extends CompositeBox

Since:
  2.1

Constructor Summary
`LineBox()`

Method Summary
`void` `add(FlowBox child)` Adds the given box and updates properties of this composite box.
`int` `getAscent()` Returns the amount of line content in pixels which is above the baseline.
`int` `getDescent()` Returns the amount of line content in pixels which is below the baseline.
`boolean` `isOccupied()`
`boolean` `requiresBidi()` Returns `true` if any of the children are bi-directional.

Methods inherited from class org.eclipse.draw2d.text.CompositeBox
`getRecommendedWidth, setLineTop, setRecommendedWidth`

Methods inherited from class org.eclipse.draw2d.text.FlowBox
`containsPoint, getBaseline, getWidth, getX, setWidth, setX`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineBox

    public LineBox()

Method Detail

### add

    public void add(FlowBox child)

  Description copied from class: `CompositeBox`
  Adds the given box and updates properties of this composite box.

  Specified by:
    `add` in class `CompositeBox`
  Parameters:
    `child` - the child being added
  See Also:
    `CompositeBox.add(org.eclipse.draw2d.text.FlowBox)`

### getAscent

    public int getAscent()

  Description copied from class: `FlowBox`
  Returns the amount of line content in pixels which is above the baseline. Ascent and descent are used to space consecutive lines apart. Certain types of line content, such as borders, extend beyond the ascent and descent.

  Specified by:
    `getAscent` in class `FlowBox`
  Returns:
    the descent in pixels below the baseline
  See Also:
    `FlowBox.getAscent()`

### getDescent

    public int getDescent()

  Description copied from class: `FlowBox`
  Returns the amount of line content in pixels which is below the baseline.

  Specified by:
    `getDescent` in class `FlowBox`
  Returns:
    the descent in pixels
  See Also:
    `FlowBox.getDescent()`

### isOccupied

    public boolean isOccupied()

  Returns:
    `true` if this box contains any fragments

### requiresBidi

    public boolean requiresBidi()

  Description copied from class: `FlowBox`
  Returns `true` if any of the children are bi-directional. Default implementation returns false.

  Overrides:
    `requiresBidi` in class `FlowBox`
  Returns:
    `true` if the box is bi-directional
  See Also:
    `FlowBox.requiresBidi()`

Eclipse Draw2d 3.7

Copyright (c) IBM Corp. and others 2000, 2011. All Rights Reserved.